Remove libcommons-fileupload-java-universe from the Oneiric archive

Bug #845541 reported by James Page on 2011-09-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libcommons-fileupload-java (Ubuntu)
Undecided
Unassigned
libcommons-fileupload-java-universe (Ubuntu)
Medium
James Page
libspring-2.5-java (Ubuntu)
Undecided
Unassigned
libspring-java (Ubuntu)
Undecided
Unassigned
libstruts1.2-java (Ubuntu)
Undecided
Unassigned
solr (Ubuntu)
Undecided
Unassigned

Bug Description

As Eucalyptus has been demoted from main->universe, the requirement to maintain libcommons-fileupload-java-universe has disappeared as all packages can now use the straight libcommons-fileupload-java package (which we can re-sync from Debian to pickup the missing features).

The following syncs/updates will be required to make this happen:

libcommons-fileupload-java-universe - drop
libcommons-fileupload-java - Resync from Debian - needs FFE as minor version upgrade
    libstruts1.2-java - Ubuntu change to revert to using non -universe version of above
    solr - Ubuntu change to revert to using non -universe version of above
    libspring-java - Resync from Debian - needs FFE as minor version upgrade
    libspring-2.5-java - Resync from Debian (packaging changes only).

Ordering of syncs will be important - sync of libcommons-fileupload-java must happen prior to all other syncs/uploads.

>>>>>>>>>>>>>>>>>>

FFE exception details for libcommons-fileupload-java

Rationale: Restore full features to allow removal of libcommons-fileupload-java-universe from the archive

Upstream changelog: http://commons.apache.org/fileupload/changes-report.html#a1.2.2 - Bug fixes only

Build log: https://launchpadlibrarian.net/79418422/buildlog_ubuntu-oneiric-i386.libcommons-fileupload-java_1.2.2-1~oneiric1~ppa1_BUILDING.txt.gz

Install log:

sudo apt-get install --reinstall libcommons-fileupload-java
[sudo] password for jamespage:
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0 B/53.7 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 49213 files and directories currently installed.)
Preparing to replace libcommons-fileupload-java 1.2.2-1~oneiric1~ppa1 (using .../libcommons-fileupload-java_1.2.2-1~oneiric1~ppa1_all.deb) ...
Unpacking replacement libcommons-fileupload-java ...
Setting up libcommons-fileupload-java (1.2.2-1~oneiric1~ppa1) ...

Testing:
  Rebuild of all reverse-build-dependencies of libcommons-fileupload-java-universe with this updated package OK (see https://launchpad.net/~james-page/+archive/java-universe-oneiric/+packages)

Debian changelog for sync:

libcommons-fileupload-java (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * New libcommons-fileupload-java-doc package for Javadoc.
  * Bump Standards-Version to 3.9.1:
    - Add recommended get-orig-source target in d/rules.
  * d/dirs: Remove, uneeded.
  * Switch to maven-debian-helper for build:
    - Drop all patches on old Ant build.
    - Add maven-debian-helper to B-D.
    - Drop ant from B-D.
  * Don't Depends on a JRE (not requested anymore by Java Policy for
    libraries packages).

 -- Damien Raude-Morvan <email address hidden> Wed, 04 Aug 2010 13:57:04 +0200

>>>>>>>>>>>>>>>>>>

FFE exception details for libspring-java

Rationale: Minor bugfixes, resync to support removal of libcommons-fileupload-java-universe

Upstream changelog: Majority bug fixes with some upgrades/small new features.

Changes in version 3.0.6 (2011-08-18)
-------------------------------------

* fixed aspects bundle to declare dependencies for @Async aspect as well
* ProxyCreationContext uses "ThreadLocal.remove()" over "ThreadLocal.set(null)" as well
* DefaultListableBeanFactory is only deserializable through a SerializedBeanFactoryReference
* DefaultListableBeanFactory's getBean(name, type) attempts type conversion if necessary
* DefaultListableBeanFactory allows for init methods to register further bean definitions (again)
* XmlBeanDefinitionReader accepts description subelement within map entry as well (as per the XSD)
* ConfigurationClassPostProcessor supports use of same processor instance with several factories
* fixed potential InjectionMetadata NPE when using SpringBeanAutowiringInterceptor
* SpringBeanAutowiringSupport is able to process @Value annotations on any given target instance
* overridden @PersistenceContext annotations on subclass methods are being processed correctly
* BeanDefinitionVisitor now actually visits factory method names
* restored support for String-to-ContextResource conversion
* restored original GenericConversionService behavior with respect to empty collections/maps
* restored original FormattingConversionService behavior with respect to the use of subtypes
* added "formatters" property to FormattingConversionServiceFactoryBean
* collection/array conversion returns original collection if possible (instead of first element)
* fixed collection element resolution when using a ConversionService with a DataBinder
* DataBinder uses a default limit of 256 for array/collection auto-growing
* added "autoGrowNestedPaths" property to ConfigurableWebBindingInitializer
* Servlet/PortletRequestDataBinder perform unwrapping for MultipartRequest as well
* fixed AbstractBindingResult to avoid NPE in "hashCode()" if target is null
* fixed several HttpHeaders issues (charset handling, quoting/unquoting)
* SimpleClientHttpRequest uses fixed-length streaming mode (always sets content-length header)
* added "connectTimeout" and "readTimeout" properties to Simple/CommonsClientHttpRequestFactory
* explicit status code in RedirectView respected in HTTP 1.0 compatibility mode
* FormHttpMessageConverter correctly processes POST requests
* ResourceHttpRequestHandler does not set Content-Length header for 304 response
* ResourceHttpRequestHandler detects invalid directory traversal in given path
* LocaleChangeInterceptor validates locale values in order to prevent XSS vulnerability
* HtmlUtils properly escapes single quotes as well
* added support for web.xml context-param "springJspExpressionSupport" (explicit "true"/"false")
* ContextLoader and FrameworkServlet support "contextId" parameter for custom serialization id
* RemoteExporter uses an opaque proxy for 'serviceInterface' (no AOP interfaces exposed)
* added "acceptProxyClasses" flag to RemoteInvocationSerializingExporter
* refined WebLogic RMI descriptor to only mark 'getTargetInterfaceName' method as idempotent
* EhCacheManagerFactoryBean properly closes "ehcache.xml" input stream, if any
* revised JMS CachedConnectionFactory to avoid unnecessary rollback calls on Session return
* fixed JMS CachedConnectionFactory to fully synchronize its Session list
* fixed NamedParameterJdbcTemplate's handling of arrays as query parameters
* fixed JPA 2.0 timeout hints to correctly specify milliseconds
* updated Quartz package to support Quartz 1.8 as well (note: not supporting Quartz 2.0 yet)
* fixed @Rule execution order in SpringJUnit4ClassRunner to match standard JUnit 4 behavior

Build log: https://launchpadlibrarian.net/79422098/buildlog_ubuntu-oneiric-i386.libspring-java_3.0.6.RELEASE-1~oneiric1~ppa1_BUILDING.txt.gz

Install log:

Testing:

Debian changelog for sync:

libspring-java (3.0.6.RELEASE-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove unnecessary 0010_quartz_17.diff patch. It was merged at upstream.
  * Update copyright file.

 -- Miguel Landaeta <email address hidden> Sat, 20 Aug 2011 18:25:14 -0430

libspring-java (3.0.5.RELEASE-4) unstable; urgency=low

  [ Miguel Landaeta ]
  * Fix FTBFS due to changes introduced in libquartz-java 1.7. (Closes: #638389)
  * Bump Standards-Version to 3.9.2. No changes were required.

  [ Damien Raude-Morvan ]
  * Add DMUA flag for Miguel.
  * Upload to unstable.

 -- Damien Raude-Morvan <email address hidden> Sat, 20 Aug 2011 13:33:00 +0200

Patching for quartz is OK - testing fine and just adds NO-OP functions to ensure newer quartz version interface requirements are supported.

Related branches

James Page (james-page) on 2011-09-09
description: updated
James Page (james-page) on 2011-09-09
description: updated
James Page (james-page) on 2011-09-09
description: updated
description: updated
James Page (james-page) on 2011-09-09
summary: - Remove libcommons-fileupload-java-universe from the Oneiric archive
+ [FFE]Remove libcommons-fileupload-java-universe from the Oneiric archive
Changed in libcommons-fileupload-java-universe (Ubuntu):
assignee: nobody → James Page (james-page)
importance: Undecided → Medium
status: New → In Progress

libcommons-fileupload-java synced

Changed in libcommons-fileupload-java (Ubuntu):
status: New → Fix Released
James Page (james-page) on 2011-09-09
summary: - [FFE]Remove libcommons-fileupload-java-universe from the Oneiric archive
+ Remove libcommons-fileupload-java-universe from the Oneiric archive
Matthias Klose (doko) wrote :

2011-09-09 13:14:21 INFO Removing candidates:
2011-09-09 13:14:21 INFO libcommons-fileupload-java-universe 1.2.1-5ubuntu1 in oneiric
2011-09-09 13:14:21 INFO libcommons-fileupload-java-universe 1.2.1-5ubuntu1 in oneiric amd64
2011-09-09 13:14:21 INFO libcommons-fileupload-java-universe 1.2.1-5ubuntu1 in oneiric armel
2011-09-09 13:14:21 INFO libcommons-fileupload-java-universe 1.2.1-5ubuntu1 in oneiric i386
2011-09-09 13:14:21 INFO libcommons-fileupload-java-universe 1.2.1-5ubuntu1 in oneiric powerpc
2011-09-09 13:14:21 INFO Removed-by: Matthias Klose
2011-09-09 13:14:21 INFO Comment: superseded, LP: #845541
2011-09-09 13:14:21 INFO 5 packages successfully removed.

Changed in libcommons-fileupload-java-universe (Ubuntu):
status: In Progress → Fix Released
James Page (james-page) on 2011-09-09
Changed in libspring-java (Ubuntu):
status: New → Fix Released
Changed in libspring-2.5-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libstruts1.2-java - 1.2.9-4ubuntu3

---------------
libstruts1.2-java (1.2.9-4ubuntu3) oneiric; urgency=low

  * Update to support removal of libcommons-fileupload-java-universe from
    archive (LP: #845541):
    - debian/control: Drop references to libcommons-fileupload-java-universe.
  * Switch back to using ant instead of ant1.7 as ant >= 1.8.2
    resolves FTBFS.
 -- James Page <email address hidden> Fri, 09 Sep 2011 13:04:41 +0100

Changed in libstruts1.2-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package solr - 1.4.1+dfsg1-2ubuntu2

---------------
solr (1.4.1+dfsg1-2ubuntu2) oneiric; urgency=low

  * Update to support removal of libcommons-fileupload-java-universe from
    archive (LP: #845541):
    - debian/control: Drop references to libcommons-fileupload-java-universe.
  * Fix misc FTBFS:
    - debian/ant.properties: Upgrade lucene2 2.9.3 -> 2.9.4
    - debian/rules: Update call to ant to use debian/ant.properties
 -- James Page <email address hidden> Fri, 09 Sep 2011 13:13:57 +0100

Changed in solr (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers